> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Save elevenlabs voice

> Resolve and save an ElevenLabs voice for project use.

MCP tool: `podcast_save_elevenlabs_voice`. OAuth scope: `asset.write`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/voices/elevenlabs
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/voices/elevenlabs:
    post:
      tags:
        - Podcast
      summary: save elevenlabs voice
      description: Resolve and save an ElevenLabs voice for project use.
      operationId: podcast_save_elevenlabs_voice
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PrjTimbreSaveReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PrjTimbreSaveResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PrjTimbreSaveReq:
      properties:
        lang_id:
          type: string
      required:
        - lang_id
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PrjTimbreSaveResp:
      properties:
        timbre_id:
          type: integer
        timbre_unique_id:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````